Bug 1603951 - fedmsg-notify: FTBFS in Fedora rawhide
Summary: fedmsg-notify: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedmsg-notify
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1585626
TreeView+ depends on / blocked
 
Reported: 2018-07-19 19:38 UTC by Mohan Boddu
Modified: 2018-11-24 02:27 UTC (History)
6 users (show)

Fixed In Version: fedmsg-notify-0.5.9-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-24 02:27:08 UTC


Attachments (Terms of Use)
build.log (3.66 KB, text/plain)
2018-07-19 19:38 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-19 19:38 UTC, Mohan Boddu
no flags Details
state.log (643 bytes, text/plain)
2018-07-19 19:38 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 19:38:13 UTC
fedmsg-notify failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28176859


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix fedmsg-notify at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
fedmsg-notify will be orphaned. Before branching of Fedora 30,
fedmsg-notify will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 19:38:22 UTC
Created attachment 1461861 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 19:38:24 UTC
Created attachment 1461862 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 19:38:28 UTC
Created attachment 1461863 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:41:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Andre Robatino 2018-10-29 22:48:25 UTC
This also prevents gnome-shell-extension-fedmsg from being installed.

Comment 6 Adam Williamson 2018-10-31 00:01:03 UTC
Well, it seems to still be written to python2, and python2-abrt has been retired. So it's clearly unusable at present. It needs to be ported to python3 or retired.

Comment 7 Adam Williamson 2018-10-31 00:04:05 UTC
Randy, CCing you as probably the person most likely to be 'in charge' of fedmsg bits? This breaks upgrades to F29 for folks with fedmsg-notify installed.

Comment 8 Jeremy Cline 2018-10-31 03:15:35 UTC
Just to save Randy some investigation time when he sees the email, this package and gnome-shell-extension-fedmsg got orphaned a few months ago[0]. If it's not already retired, it should be.

[0] https://pagure.io/releng/issue/7804

Comment 9 Randy Barlow 2018-10-31 14:50:29 UTC
Thanks Jeremy!

I don't have a lot of experience with fedmsg, so I don't plan to adopt this package at this time.

Comment 10 Adam Williamson 2018-10-31 15:34:55 UTC
Jeremy: something needs to be done for f29 (if only getting it obsoleted or something somehow), because it cannot be retired from a branched release.

Obviously I meant to tag you not Randy, duh - thanks for the fix.

Comment 11 Jeremy Cline 2018-10-31 16:17:13 UTC
Adam: any chance we can continue to pawn this off on Randy and pretend you really meant to tag him?

I think it's a good candidate for fedora-obsolete-packages (no one maintains upstream AFAIK), but they're not yet retired on Rawhide, just orphaned. I have no idea what the processes are for that, but I've filed https://bugzilla.redhat.com/show_bug.cgi?id=1644813 for fedmsg-notify.

FWIW I never maintained fedmsg-notify (upstream or in Fedora) and have no idea what its state is. For all I know it does support Python 3 and just isn't built for it. abompard was the last committer on that repository, so he might have some input.

Comment 12 Randy Barlow 2018-10-31 16:33:09 UTC
(In reply to Jeremy Cline from comment #11)
> Adam: any chance we can continue to pawn this off on Randy and pretend you
> really meant to tag him?
> 
> abompard was the last committer on that repository, so
> he might have some input.

I think can can all agree to pawn this off to abompard.

Comment 13 Aurelien Bompard 2018-11-01 14:55:18 UTC
I think it can be retired. I'll try to fix it for F29, but if it can't be fixed what's the alternative? Remove the dependency and the corresponding code part? Remove everything and make it basically a dummy package? (the priority being that upgrades work, I think)

Comment 14 Adam Williamson 2018-11-01 17:45:07 UTC
I guess in that case the first choice would be removing whatever needs python2-abrt and dropping the dep, yeah.

Comment 15 Fedora Update System 2018-11-04 09:45:47 UTC
fedmsg-notify-0.5.8-7.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-945f9e9106

Comment 16 Fedora Update System 2018-11-05 04:19:11 UTC
fedmsg-notify-0.5.8-7.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-945f9e9106

Comment 17 Andre Robatino 2018-11-11 12:21:30 UTC
After installing gnome-shell-extension-fedmsg, enabling it, and clicking on "Fedmsg settings" in the menu, the progress indicator spins for a while and then dies. The settings window never comes up. This is in F29, using fedmsg-notify-0.5.8-7.fc29.noarch from updates-testing.

Comment 18 Aurelien Bompard 2018-11-11 22:42:15 UTC
@Andre, could you open a terminal, run fedmsg-notify-config and write here what's your output please? Thanks.

Comment 19 Andre Robatino 2018-11-11 22:43:49 UTC
[andre@lenovo-pc ~]$ fedmsg-notify-config
/usr/lib/python2.7/site-packages/fedmsg_notify/gui.py:25: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk, Gio
:0: UserWarning: You do not have a working installation of the service_identity module: 'No module named service_identity'.  Please install it from <https://pypi.python.org/pypi/service_identity> and make sure all of its dependencies are satisfied.  Without the service_identity module, Twisted can perform only rudimentary TLS client hostname verification.  Many valid certificate/hostname mappings may be rejected.
No handlers could be found for logger "moksha.hub"
Traceback (most recent call last):
  File "/usr/bin/fedmsg-notify-config", line 11, in <module>
    load_entry_point('fedmsg-notify==0.5.8', 'console_scripts', 'fedmsg-notify-config')()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 484, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2714, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2332, in load
    return self.resolve()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2338, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/gui.py", line 27, in <module>
    from .filters import filters, get_enabled_filters
  File "/usr/lib/python2.7/site-packages/fedmsg_notify/filters.py", line 24, in <module>
    from .distro_specific import (get_installed_packages,
ImportError: cannot import name get_reported_bugs
[andre@lenovo-pc ~]$

Comment 20 Aurelien Bompard 2018-11-12 15:21:51 UTC
Thanks, could you try with this RPM please?

https://kojipkgs.fedoraproject.org//work/tasks/2104/30832104/fedmsg-notify-0.5.8-8.fc29.noarch.rpm

Comment 21 Andre Robatino 2018-11-12 18:05:47 UTC
That works better, the window comes up this time. I enabled all the notifications but haven't seen any yet. Here's the terminal output if I just start and close it now.

[andre@lenovo-pc ~]$ fedmsg-notify-config
/usr/lib/python2.7/site-packages/fedmsg_notify/gui.py:25: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk, Gio
:0: UserWarning: You do not have a working installation of the service_identity module: 'No module named service_identity'.  Please install it from <https://pypi.python.org/pypi/service_identity> and make sure all of its dependencies are satisfied.  Without the service_identity module, Twisted can perform only rudimentary TLS client hostname verification.  Many valid certificate/hostname mappings may be rejected.
No handlers could be found for logger "moksha.hub"
[andre@lenovo-pc ~]$

Comment 22 Andre Robatino 2018-11-12 23:45:23 UTC
There are still no notifications, so that's apparently not working.

Comment 23 Fedora Update System 2018-11-13 10:48:04 UTC
fedmsg-notify-0.5.9-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-bf03c31faa

Comment 24 Andre Robatino 2018-11-13 11:00:15 UTC
Thanks, this one appears to work normally - as soon as I updated, the notifications started coming in. The output  when running fedmsg-notify-config from the command line is the same as in comment 21.

Comment 25 Aurelien Bompard 2018-11-13 11:54:28 UTC
Great, thanks for testing. Would you mind adding karma in Bodhi?

Comment 26 Fedora Update System 2018-11-14 06:01:52 UTC
fedmsg-notify-0.5.9-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-bf03c31faa

Comment 27 Fedora Update System 2018-11-24 02:27:08 UTC
fedmsg-notify-0.5.9-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.